List MCP clients

Returns a list of all configured MCP clients with their tools and connection state.

GET
/api/mcp/clients
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/mcp/clients"
[
  {
    "config": {
      "client_id": "string",
      "name": "string",
      "is_code_mode_client": true,
      "connection_type": "http",
      "connection_string": "string",
      "stdio_config": {
        "command": "string",
        "args": [
          "string"
        ],
        "envs": [
          "string"
        ]
      },
      "auth_type": "none",
      "oauth_config_id": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "tools_to_execute": [
        "string"
      ],
      "tools_to_auto_execute": [
        "string"
      ],
      "tool_pricing": {
        "property1": 0.1,
        "property2": 0.1
      },
      "allow_on_all_virtual_keys": false,
      "disabled": false
    },
    "tools": [
      {
        "name": "string",
        "description": "string",
        "parameters": {},
        "strict": true
      }
    ],
    "state": "connected",
    "vk_configs": [
      {
        "virtual_key_id": "string",
        "virtual_key_name": "string",
        "tools_to_execute": [
          "string"
        ]
      }
    ]
  }
]
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings